## org.exist.cluster
Class RemoveClusterEvent

    java.lang.Object
      org.exist.cluster.ClusterEvent
          org.exist.cluster.RemoveClusterEvent

All Implemented Interfaces:
  java.io.Serializable

public class RemoveClusterEvent
extends ClusterEvent

Created by Francesco Mondora.

Author:
  Francesco Mondora aka Makkina, Michele Danieli aka cinde Date: Aug 30, 2004 Time: 5:46:10 PM Revision $Revision: 2435 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.exist.cluster.ClusterEvent
`NO_EVENT`

Constructor Summary
`RemoveClusterEvent(java.lang.String documentName, java.lang.String collectionName)`

Method Summary
`void` `execute()` Execute the current command.
`int` `hashCode()`

Methods inherited from class org.exist.cluster.ClusterEvent
`equals, getCollection, getCollection, getCollectionName, getCounter, getDocumentName, getId, getResource, setCounter, setId`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveClusterEvent

    public RemoveClusterEvent(java.lang.String documentName,
                              java.lang.String collectionName)

Method Detail

### execute

    public void execute()
                 throws ClusterException

  Execute the current command.

  Specified by:
    `execute` in class `ClusterEvent`
  Throws:
    `ClusterException`

### hashCode

    public int hashCode()

Copyright (C) Wolfgang Meier. All rights reserved.